Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.singularsys.jep.configurableparser.matchers
Class UpperCaseOperatorTokenMatcher

    java.lang.Object
      com.singularsys.jep.configurableparser.matchers.OperatorTokenMatcher
          com.singularsys.jep.configurableparser.matchers.UpperCaseOperatorTokenMatcher

All Implemented Interfaces:
  TokenMatcher, java.io.Serializable

    public class UpperCaseOperatorTokenMatcher

extends OperatorTokenMatcher

A case insensitive operator token matcher. It converts the input to uppercase before comparing, hence all operators in the OperatorTable must be uppercase.

See Also:
  Serialized Form

Constructor Summary
`UpperCaseOperatorTokenMatcher()`

Method Summary
`Token` | `match(java.lang.String s)` Quickly checks whether the first characters of the string match any of the supplied operator strings.

Methods inherited from class com.singularsys.jep.configurableparser.matchers.OperatorTokenMatcher
`init, init, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### UpperCaseOperatorTokenMatcher

    public UpperCaseOperatorTokenMatcher()

Method Detail

### match

    public Token match(java.lang.String s)

  Description copied from class: `OperatorTokenMatcher`
  Quickly checks whether the first characters of the string match any of the supplied operator strings.

  Specified by:
    `match` in interface `TokenMatcher`
  Overrides:
    `match` in class `OperatorTokenMatcher`
  Parameters:
    `s` - the string to match against
  Returns:
    if successful returns the corresponding token, return null if failed to match

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Singular Systems http://www.singularsys.com/jep